List all collections
Deprecated: Use the Collections V2 API. Retrieves paginated list of collections with translations and redirects. Supports search filtering and pagination.
GET
/api/v1/{team_slug}/{app_slug}/collectionsdeprecatedAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Query parameters
pageintegerPage number
per-pageintegerNumber of items per page
idstring[]Filter by collection IDs (can be repeated)
Responses
200
All collections for the app
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]requiredShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Collectionchildrengithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionCircular reference to
github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection.created_atstringidstringparent_idstring | nullredirectsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirectsidstringitem_idstring | nulllocalestringnew_slugstringold_slugstringtypegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectTypeAllowed:
productpagecollectioncategoryproduct_bundleslugstringrequiredstatusstringrequiredAllowed:
activeinactivedrafttitlestringtranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslationShow propertiesHide properties
sluggithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringtitlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullupdated_atstring | nulluristringsuccessbooleantotalintegertotal_pagesinteger400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired422
Invalid request and not parsable by backend
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired